public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/redis/
Date: Thu,  6 Jun 2024 16:17:11 +0000 (UTC)	[thread overview]
Message-ID: <1717690624.a5e46872b55bc2ec9d83672fe1ba0ddef573b1ca.mgorny@gentoo> (raw)

commit:     a5e46872b55bc2ec9d83672fe1ba0ddef573b1ca
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  6 15:36:23 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun  6 16:17:04 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5e46872

dev-python/redis: Bump to 5.0.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/redis/Manifest           |  1 +
 dev-python/redis/redis-5.0.5.ebuild | 97 +++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/dev-python/redis/Manifest b/dev-python/redis/Manifest
index f9f8637baddb..7febb0fbbae1 100644
--- a/dev-python/redis/Manifest
+++ b/dev-python/redis/Manifest
@@ -1 +1,2 @@
 DIST redis-py-5.0.4.gh.tar.gz 4774815 BLAKE2B a6f3b678f217a7938d1a2ecbe24058994e33a7985faf0d4b6664aa08d5095c71dc9cd1d98ee327d6ff31589795eed29ece4cdd3ce914a782e60d3ac3f44ab962 SHA512 3c4893e348632d52215096358e5b4a86b3cf5e0153e4d218c46fe77fbb61df116fc98f477f4e8ba94fe7e9bb6f964f478b1187c8b7983a71fc206f14b643965c
+DIST redis-py-5.0.5.gh.tar.gz 4775177 BLAKE2B e092692ca8070d811ccd953be2749859094baef610858fcc7f28fd18ec51e643cb0a003ddb5734e8066252e9beb49bdf633983906bb4615c0e8309389343aa2f SHA512 014c5bd9e7604cf757d990b1a0ad2d3c876822b1ee5b372eaa18cf26b5bf61bcdf6bd2d5e3f5eaa9e73de5dcc6a7ad11835856cb12c995a539961244e54c16fc

diff --git a/dev-python/redis/redis-5.0.5.ebuild b/dev-python/redis/redis-5.0.5.ebuild
new file mode 100644
index 000000000000..13bcaada0bb4
--- /dev/null
+++ b/dev-python/redis/redis-5.0.5.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1
+
+MY_P=redis-py-${PV}
+DESCRIPTION="Python client for Redis key-value store"
+HOMEPAGE="
+	https://github.com/redis/redis-py/
+	https://pypi.org/project/redis/
+"
+SRC_URI="
+	https://github.com/redis/redis-py/archive/v${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+	$(python_gen_cond_dep '
+		>=dev-python/async-timeout-4.0.2[${PYTHON_USEDEP}]
+	' 3.10)
+"
+BDEPEND="
+	test? (
+		dev-db/redis
+		dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+		dev-python/pytest-timeout[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+	local EPYTEST_DESELECT=(
+		# Flaky test
+		tests/test_pubsub.py::TestPubSubDeadlock::test_pubsub_deadlock
+		# require extra redis modules that apparently aren't packaged
+		# on Gentoo
+		tests/{,test_asyncio/}test_bloom.py
+		tests/{,test_asyncio/}test_graph.py
+		tests/{,test_asyncio/}test_json.py
+		tests/{,test_asyncio/}test_timeseries.py
+		# apparently available only in "Redis Stack 7.2 RC3 or later"
+		tests/test_commands.py::TestRedisCommands::test_tfunction_load_delete
+		tests/test_commands.py::TestRedisCommands::test_tfunction_list
+		tests/test_commands.py::TestRedisCommands::test_tfcall
+		# TODO
+		tests/test_commands.py::TestRedisCommands::test_zrank_withscore
+		tests/test_commands.py::TestRedisCommands::test_zrevrank_withscore
+		tests/test_commands.py::TestRedisCommands::test_xinfo_consumers
+		tests/test_asyncio/test_commands.py::TestRedisCommands::test_zrank_withscore
+		tests/test_asyncio/test_commands.py::TestRedisCommands::test_zrevrank_withscore
+		tests/test_asyncio/test_commands.py::TestRedisCommands::test_xinfo_consumers
+		tests/test_asyncio/test_pubsub.py::TestPubSubAutoReconnect::test_reconnect_socket_error[pool-hiredis-listen]
+	)
+
+	# TODO: try to run more servers?
+	epytest -m "not redismod and not onlycluster and not replica and not ssl"
+}
+
+src_test() {
+	local redis_pid="${T}"/redis.pid
+	local redis_port=6379
+
+	if has_version ">=dev-db/redis-7"; then
+		local extra_conf="
+			enable-debug-command yes
+			enable-module-command yes
+		"
+	fi
+
+	# Spawn Redis itself for testing purposes
+	einfo "Spawning Redis"
+	einfo "NOTE: Port ${redis_port} must be free"
+	"${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+		daemonize yes
+		pidfile ${redis_pid}
+		port ${redis_port}
+		bind 127.0.0.1 ::1
+		${extra_conf}
+	EOF
+
+	# Run the tests
+	distutils-r1_src_test
+
+	# Clean up afterwards
+	kill "$(<"${redis_pid}")" || die
+}


             reply	other threads:[~2024-06-06 16:17 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-06 16:17 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-05  4:58 [gentoo-commits] repo/gentoo:master commit in: dev-python/redis/ Michał Górny
2024-09-28  7:42 Michał Górny
2024-08-17  9:58 Michał Górny
2024-08-17  9:57 Michał Górny
2024-08-02 16:11 Michał Górny
2024-07-31  5:52 Michał Górny
2024-07-13  8:01 Michał Górny
2024-07-13  7:27 Arthur Zamarin
2024-06-29 16:58 Michał Górny
2024-06-29  7:57 Arthur Zamarin
2024-06-27  2:53 Michał Górny
2024-06-22 15:01 Michał Górny
2024-06-22 13:49 Arthur Zamarin
2024-06-14  1:53 Michał Górny
2024-05-18  8:59 Michał Górny
2024-05-08  8:15 Michał Górny
2024-04-24  2:03 Michał Górny
2024-03-30 14:14 Michał Górny
2024-03-30 13:59 Michał Górny
2024-03-16 10:26 Michał Górny
2024-03-16 10:23 Arthur Zamarin
2024-03-11  3:53 Michał Górny
2024-02-29 17:29 Michał Górny
2023-10-28 15:23 Michał Górny
2023-10-27 19:32 Sam James
2023-10-19 12:17 Sam James
2023-10-03  5:11 Michał Górny
2023-10-03  1:55 Sam James
2023-09-26 16:56 Michał Górny
2023-08-21  8:59 Michał Górny
2023-06-10  4:40 Michał Górny
2023-06-09 18:05 Arthur Zamarin
2023-05-28 19:01 Arthur Zamarin
2023-05-08 19:31 Arthur Zamarin
2023-04-22 10:10 Michał Górny
2023-04-22  9:25 Arthur Zamarin
2023-03-30  2:57 Michał Górny
2023-03-23 16:36 Michał Górny
2023-03-21 20:06 Michał Górny
2023-03-11 16:17 Michał Górny
2023-03-11  8:06 Arthur Zamarin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1717690624.a5e46872b55bc2ec9d83672fe1ba0ddef573b1ca.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox